# initial configuration of database
#
# VERSION=1
# CHANGES="initial version"

# Table 'users'
CREATE TABLE users (id INTEGER PRIMARY KEY , user VARCHAR(20), password VARCHAR(15), group_ VARCHAR(15));
INSERT INTO users VALUES(1, 'admin', 'd73b128b9c86524c362ab4420c987827:f2', 'admin');

# Table 'sip'
CREATE TABLE sip (id INTEGER PRIMARY KEY , name VARCHAR(60), sip_proxy VARCHAR(60), sip_registrar VARCHAR(60), sip_domain VARCHAR(60), user VARCHAR(60), secret VARCHAR(60), register VARCHAR(60) NOT NULL DEFAULT  '0', def INTEGER DEFAULT 0, config VARCHAR(255), stunserver VARCHAR(25) NOT NULL DEFAULT '', externip VARCHAR(25) NOT NULL DEFAULT '', regrefresh INTEGER NOT NULL DEFAULT 300, register_option VARCHAR(25) NOT NULL DEFAULT 'no-validate no-options-keepalive', auth_user VARCHAR(255) NOT NULL DEFAULT '', displayname VARCHAR(255) NOT NULL DEFAULT '', sip_transport VARCHAR(255) NOT NULL DEFAULT 'udp', matchtype VARCHAR(100) DEFAULT 'address', matchtype_manual VARCHAR(100) DEFAULT NULL, profile VARCHAR(100) NOT NULL DEFAULT 'manual', enum_support INTEGER NOT NULL DEFAULT 0, enum_search_domain VARCHAR(255) NOT NULL DEFAULT '', keepalive_interval INTEGER NOT NULL DEFAULT 0, call_transfer_method VARCHAR(255) NOT NULL DEFAULT 'refer');

# Table 'dialplan'
CREATE TABLE dialplan (id INTEGER PRIMARY KEY, fromDirection VARCHAR(15), toDirection VARCHAR(15), fromId VARCHAR(60), toId VARCHAR(60), dest VARCHAR(60), newDest VARCHAR(100), src VARCHAR(60), newSrc VARCHAR(100), config VARCHAR(255), isdnid VARCHAR(100) NOT NULL DEFAULT '', posId INTEGER NOT NULL DEFAULT 0, comment VARCHAR(110) NOT NULL DEFAULT '', activ INTEGER NOT NULL DEFAULT 1);

# Table 'acl'

CREATE TABLE acl (id INTEGER PRIMARY KEY, protocol VARCHAR(5) DEFAULT NULL, dest_port INTEGER DEFAULT NULL, address VARCHAR(60) DEFAULT NULL, netmask INTEGER);
INSERT INTO acl VALUES(1,NULL,80,'0.0.0.0',0);
INSERT INTO acl VALUES(2,NULL,443,'0.0.0.0',0);
# SIP Port, die Ersetztung durch den richtigen Port erfolgt beim create_files
INSERT INTO acl VALUES(3,NULL,-1,'0.0.0.0',0);
# SIP-TLS Port, die Ersetztung durch den richtigen Port erfolgt beim create_files
INSERT INTO acl VALUES(4,NULL,-2,'0.0.0.0',0);
INSERT INTO acl VALUES(5,NULL,65001,'0.0.0.0',0);
INSERT INTO acl VALUES(6,NULL,161,'0.0.0.0',0);
INSERT INTO acl VALUES(7,NULL,162,'0.0.0.0',0);

# Table 'set_app'
CREATE TABLE set_app (show_app INTEGER DEFAULT 0);
INSERT INTO set_app VALUES(0);

# Table 'isdn'
CREATE TABLE isdn (type VARCHAR(30), lif VARCHAR(1), port INTEGER PRIMARY KEY, gr VARCHAR(60) DEFAULT 'NULL', ptp VARCHAR(1) NOT NULL DEFAULT '1', ntteHW VARCHAR(2) NOT NULL DEFAULT 'te', ntteSW VARCHAR(2) NOT NULL DEFAULT 'te', config VARCHAR(255), lt VARCHAR(1) NOT NULL DEFAULT '1', clock VARCHAR(1) NOT NULL DEFAULT '0', chansel VARCHAR(20) NOT NULL DEFAULT 'standard', tones VARCHAR(20) NOT NULL DEFAULT '[de]', odt INTEGER NOT NULL DEFAULT '3', odt_empty_dad INTEGER NOT NULL DEFAULT '15', master INTEGER NOT NULL DEFAULT '1', overlap_dialing VARCHAR(3) NOT NULL DEFAULT '0', qsig VARCHAR (3) NOT NULL DEFAULT '0', port_type VARCHAR(4) NOT NULL DEFAULT '', portpullup INTEGER DEFAULT 1, crc INTEGER DEFAULT 1, chansel_dir VARCHAR NOT NULL DEFAULT 'ascending', crystal_clock INTEGER DEFAULT 0, country_code VARCHAR(5), city_code VARCHAR(5), local_area_code VARCHAR(20), permanentl1 INTEGER DEFAULT 0, ccs INTEGER DEFAULT 0, pcmlaw VARCHAR NOT NULL DEFAULT 'default', dialtone_digits INTEGER NOT NULL DEFAULT '0', restart_after_link_loss INTEGER NOT NULL DEFAULT '0');

# Table 'analog'
CREATE TABLE analog (type VARCHAR(30), lif VARCHAR(1), port INTEGER PRIMARY KEY, gr VARCHAR(60) DEFAULT 'NULL', config VARCHAR(255), master INTEGER NOT NULL DEFAULT '1', port_type VARCHAR(4) NOT NULL DEFAULT '', overlap_dial_timeout_empty_dad INTEGER NOT NULL DEFAULT '15', overlap_dial_timeout INTEGER NOT NULL DEFAULT '3', tones VARCHAR(20) NOT NULL DEFAULT '[de]', fxo_connect VARCHAR(20) NOT NULL DEFAULT 'instant', fxo_wait_for_oad VARCHAR(20) NOT NULL DEFAULT 'wait', fxo_dialtone_passthrough INTEGER NOT NULL DEFAULT '0', fxo_call_ending_signal VARCHAR(20) NOT NULL DEFAULT 'unobtainable', fxo_cid_detection_mode VARCHAR(20) NOT NULL DEFAULT '', clip VARCHAR(128) NOT NULL DEFAULT '', cnip VARCHAR(128) NOT NULL DEFAULT '',overlap_dialing VARCHAR(3) NOT NULL DEFAULT '0', chansel VARCHAR(20) NOT NULL DEFAULT 'standard', chansel_dir VARCHAR NOT NULL DEFAULT 'ascending', message_waiting_method VARCHAR NOT NULL DEFAULT 'stutter', dialtone_digits INTEGER NOT NULL DEFAULT '0');

# Table 'gsm'
CREATE TABLE gsm (type VARCHAR(30), lif VARCHAR(1), port INTEGER PRIMARY KEY, gr VARCHAR(60) DEFAULT 'NULL', config VARCHAR(255), master INTEGER NOT NULL DEFAULT '1', port_type VARCHAR(4) NOT NULL DEFAULT '', pin INTEGER DEFAULT NULL, smsc VARCHAR(70) NOT NULL DEFAULT '', sms_extension VARCHAR(70) NOT NULL DEFAULT '', extension VARCHAR(70) NOT NULL DEFAULT '', chansel VARCHAR(20) NOT NULL DEFAULT 'standard', chansel_dir VARCHAR NOT NULL DEFAULT 'ascending', codec VARCHAR NOT NULL DEFAULT '1|2|4|8|16');

# Table 'cas'
CREATE TABLE cas (type VARCHAR(30), lif VARCHAR(1), port INTEGER PRIMARY KEY, port_type VARCHAR(6) DEFAULT 'hdlc', master INTEGER NOT NULL DEFAULT '1', clock VARCHAR(1) NOT NULL DEFAULT '0', protocol VARCHAR(10) NOT NULL DEFAULT 'e1', country VARCHAR(20) NOT NULL DEFAULT 'de', sigchan INTEGER DEFAULT '16', termination VARCHAR(2) NOT NULL DEFAULT 'te', coding VARCHAR(70) NOT NULL DEFAULT 'B8ZS');

# Table 'cas_channels'
CREATE TABLE cas_channels (channel INTEGER PRIMARY KEY, port INTEGER, gr VARCHAR(60) DEFAULT 'NULL', t1sigtype VARCHAR(10) NOT NULL DEFAULT 'fxo_ks', e1sigtype VARCHAR(10) NOT NULL DEFAULT 'mfcr2', tones VARCHAR(20) NOT NULL DEFAULT '[de]', config VARCHAR(255), interdigit_timeout_initial INTEGER NOT NULL DEFAULT '15', interdigit_timeout INTEGER NOT NULL DEFAULT '3', fxo_wait_for_oad VARCHAR(20) NOT NULL DEFAULT 'wait', wait_for_oad VARCHAR(20) NOT NULL DEFAULT 'wait', dialtone_digits INTEGER NOT NULL DEFAULT '0', fxo_callerid_detection_timeout INTEGER NOT NULL DEFAULT '5', fxo_call_ending_signal VARCHAR(20) NOT NULL DEFAULT 'unobtainable', fxo_cid_detection_mode VARCHAR(20) NOT NULL DEFAULT 'bellcore', clip VARCHAR(128) NOT NULL DEFAULT '', cnip VARCHAR(128) NOT NULL DEFAULT '', overlap_dialing VARCHAR(3) NOT NULL DEFAULT '0', chansel VARCHAR(20) NOT NULL DEFAULT 'standard', chansel_dir VARCHAR NOT NULL DEFAULT 'ascending', pcmlaw VARCHAR NOT NULL DEFAULT 'default');

# Table 'callprogess'
CREATE TABLE callprogress (id INTEGER PRIMARY KEY, name VARCHAR(50) NOT NULL, direction VARCHAR(30) NOT NULL, timer_dial INTERGER DEFAULT '10000', timer_polrev INTERGER DEFAULT '10000', timer_alerting_stop INTERGER DEFAULT '-1');

# Table 'callprogress_entries'
CREATE TABLE callprogress_entries (id INTEGER PRIMARY KEY, type VARCHAR(50) NOT NULL, sip_resp VARCHAR(30) NOT NULL, resp_text VARCHAR(150) NOT NULL, isdn_event VARCHAR (250) NOT NULL, chann_det VARCHAR (50) NOT NULL, id_name INTEGER);

# Table 'key_val'
CREATE TABLE key_val (key VARCHAR(50), value VARCHAR(50));
INSERT into key_val VALUES ('syslog_facility', '16');
INSERT into key_val VALUES ('logcdr', '1');
INSERT into key_val VALUES ('cloudAddress', 'berocloud.beronet.com');
INSERT into key_val VALUES ('sip_transport', 'udp');
INSERT into key_val VALUES ('country', '1TR110_DE');
INSERT into key_val VALUES ('logging_active', '0');
INSERT into key_val VALUES ('logging_message', '1');
INSERT into key_val VALUES ('logging_debug', '0');
INSERT into key_val VALUES ('loglevel_message', '2');
INSERT into key_val VALUES ('loglevel_debug', '0');
INSERT into key_val VALUES ('logserver', '127.0.0.1:54323');
INSERT into key_val VALUES ('gui_mode', 'simple');
INSERT into key_val VALUES ('udpports', '6000-7000');
INSERT into key_val VALUES ('bindport', '5060');
INSERT into key_val VALUES ('activate', '3');

# Table 'isgw_causes'
CREATE TABLE isgw_causes (id INTEGER PRIMARY KEY, direction VARCHAR(50) NOT NULL, to_cause VARCHAR(50) NOT NULL, from_cause VARCHAR(50) NOT NULL, sip_response_message VARCHAR(255) NOT NULL);
